import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface PhoneticTextModel {
    sb: number;
    eb: number;
    text?: string;
    richText?: any[];
}
declare class PhoneticTextXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    constructor();
    get tag(): string;
    render(xmlStream: any, model: PhoneticTextModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
}
export { PhoneticTextXform };
